QGIS Application - Bug report #12918
QGIS freezes when wheelzooming WMS layer via authenticating proxy
2015-06-09 02:58 AM - johanvdw -

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corruptsdata: Copied to github as #: 21003
Description

Note that this issue is very similar to a bug which was reported on the mailinglist (I have not found it in trac):
http://lists.osgeo.org/pipermail/qgis-developer/2015-May/037744.html

When using the wheelmouse to zoom in qgis and an authenticating proxy is used, qgis freezes and must be killed. When using a
non-authenticating proxy such as cntlm the problem does not occur.

Tested on windows. This affects at least versions 2.6 and 2.8.2

History

#1 - 2017-03-08 12:49 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes
- Priority changed from Normal to High

- Status changed from Open to Feedback

- Category set to Map Canvas

Hi, is this still an issue in latest qgis releases as 2.18.4 or qgis3/master?

#2 - 2017-04-29 05:40 AM - Giovanni Manghi
- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
